curl --request PUT \
--url https://api.qovery.com/cluster/{clusterId}/dnsProvider \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dns_provider": {
"provider": "QOVERY",
"domain": "example.com"
}
}
'{
"dns_provider": {
"provider": "QOVERY",
"domain": "example.com"
}
}Update the DNS provider associated with a cluster. Requires an Enterprise plan. Cloudflare api_token and Route53 STATIC credentials aws_secret_access_key must be provided on every edit.
curl --request PUT \
--url https://api.qovery.com/cluster/{clusterId}/dnsProvider \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dns_provider": {
"provider": "QOVERY",
"domain": "example.com"
}
}
'{
"dns_provider": {
"provider": "QOVERY",
"domain": "example.com"
}
}Documentation Index
Fetch the complete documentation index at: https://qovery-docs-ai-use-cases-highlight.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Cluster ID
Show child attributes
Updated cluster DNS provider
Show child attributes
Was this page helpful?